cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received

  • WordPress :4.9.4
  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 58)
  • Auteur
    Messages
  • #2181851
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    Bonjour,

    J’administre 2 sites, tous 2 chez NUXIT en hébergement mutualisé.

    Wordpress est en version 4.9.7 dans les 2 cas, les thèmes et extensions sont différents sauf  l’extension iThemes Security commune au 2 mise à jour il y a un mois (version 7.0.4) sur les 2 sites.

    Sur les 2 sites depuis une semaine pour un site (http://www.mjcsavigny.net), et ce jour pour le 2°(http://www.capture-images.fr),  j’ai le message ‘cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received’ lorsque je veux effectuer les mises à jour.  J’ai tenté l’opération en désactivant l’extension iThemes Security, aucun changement.

    Une recherche sur le net avec ce message ne m’a pas éclairé sur la signification de ce messages, ni des causes possibles et d’éventuelles solutions. Je me suis rendu également sur les forums nuxit mais n’ai rien trouvé. De plus les échanges y semblent globalement assez anciens (en rapport avec le rachat par Magic Online ?), du coup je n’ai pas posé de question.

    Avez-vous une idée ce qu’il se passe ? Est-ce un problème lié à mon hébergeur que je devrais contacter ?

    Merci de votre aide.

    #2182248
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    Bonjour,

    Merci de laisser le questionnaire, il aurait été bien d’avoirr la liste des plugins, de la version PHP.
    Jetpack peut provoquer cette erreur, l’avez-vous ?
    Merci

    #2182673
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    Bonjour

    Au sujet du questionnaire, j’avais tenté d’utiliser l’utilitaire Forum-Wordpress.fr dont j’ai la version 4.10 et j’ai eu des messages d’erreur lors de l’installation (je mets les messages plus bas)

    Je viens de faire de recueillir manuellement la liste que voici

    pour le site Capture-images.fr :

    404 To Homepage, Akismet Anti-Spam, Contact form 7, Customizer Export/Import, Duplicate Post,Enable Media Replace, Envato Market,EWWW Image Optimizer*, Imsanity*, IThemes Security, MailChimp for WordPress*, Maintenance, oAuth Twitter Feed for Developers*, Photography Theme Custom Post Type*, Slider Revolution*

    Les extensions suivies d’un astérisque sont requises par mon thème ‘Photography’.

    PHP Version 5.6.8

    et pour l’autre site mjcsavigny.net

    Extensions : 404page, Advanced Access Manager, Akismet Anti-Spam, Column Shortcodes, Contact Form 7, Cookie Notice, Core Control, Cryout Serious Slider, Cryout Serious Theme Settings, Enable Media Replace, Events Manager, FlowPaper, Genesis Columns Advanced, iThemes Security
    Jetpack par WordPress.com, Maintenance, Really Simple CAPTCHA, SendinBlue Subscribe Form And WP SMTP, Simple Yearly Archive,
    WP Content Copy Protection & No Right Click, WP Featherlight, WP FullCalendar, WP Google Map Plugin,WP Google Maps,WP-Optimize

    Le thème est Nirvana par Cryout Creation

    PHP Version 5.6.8

    Thèmes et extension sont tous à jour hormis ceux pour que je parviens pas à mettre à jour via l’interface de wordpress.

    Et voici les les messages d’erreurs que j’avais eu pour le plugin forum-wordpress (sous une forme modifée)

    Warning: Une erreur imprévue est survenue. Il pourrait y avoir un problème avec WordPress.org ou la configuration de ce serveur. Si vous continuez à rencontrer ce problème, veuillez vous rendre sur les forums de support. (WordPress n’a pas pu établir de connexion sécurisée vers WordPress.org. Veuillez contacter l’administrateur de votre serveur.)

    in /web/captureimages/www/wp-includes/update.php on line 156
    in /web/captureimages/www/wp-includes/update.php on line 348
    in /web/captureimages/www/wp-includes/update.php on line 530

    Et petite précision, je ne suis pas très à l’aise avec php, html etc…

    Merci

    Pierre

     

     

    #2182743
    carolinedessine
    Participant
    Initié WordPress
    5 contributions

    Bonsoir,

    Je me permets de me greffer à ce sujet car je rencontre exactement le même problème depuis quelques jours. Et je suis également chez Nuxit, cela viendrait donc peut-être plutôt de l’hébergement ?

    J’ai ce message qui apparaît pour toutes tentatives de mise à  jour : cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received.

    Je préfère préciser que je suis très peu calée techniquement, donc s’il y a des manips à faire je veux bien des explications spécial newbie 🙂

    Merci,
    Caroline

     

    • Cette réponse a été modifiée le il y a 7 months et 3 weeks par  carolinedessine.
    #2182752
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    en complément de mon message d’hier, je viens de trouver ceci  :

    https://forum.joomla.fr/forum/joomla-3-x/installation-et-mise-ã%C2%A0-jour-de-joomla-3-x/1967333-erreur-ssl-chez-nuxit

    Cela date d’octobre 2017, et le message d’erreur est similaire au moins pour partie : ‘HTTPS n’a pas été activé car il n’est pas disponible sur ce serveur. Le test de la connexion HTTPS a échoué avec l’erreur suivante : gnutls_handshake() failed: A TLS fatal alert has been received’.

    Et l’hébergeur est (ou était…) NUXIT.

    Et par ailleurs, il m’a semblé apercevoir que les appels aux mises à jour se faisait via un http plutôt qu’un https. Mis peut-être me trompe-je. Je n’ai pas réussi à revoir ce message affiché.

    Il semble qu’un recours à Nuxit soit nécessaire. Au vu de la réponse que l’hébergeur avait fourni, ce n’est pas gagné apparemment.

    Qu’en pensez vous ?

    Pierre

     

     

     

    #2182771
    Li-An
    Modérateur
    Maître WordPress
    21361 contributions

    C’est une erreur pas courante alors j’ai bien l’impression que c’est lié à votre hébergeur en effet.

    #2183339
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    Bonjour,

    Merci pour les informations. Avez-vous essayé d’être sous PHP7.0 ?
    Je pensais à  Jetpack, à cause de ce message
    https://wordpress.org/support/topic/curl-error-35-gnutls_handshake-failed/

    Vu ,que vous êtes deux à avoir le problème, en étant chez le même hébergeur, il faut prendre contact avec lui,  peut-être un firewall d’activé chez eux, ou une option ou une commande désactivé, etc..

    Merci de nous tenir au courant

    #2183356
    Olivier57
    Participant
    Initié WordPress
    3 contributions

    Bonjour,

    Je me permets de me joindre à votre discussion car je rencontre depuis plusieurs semaines exactement le même problème pour le blog que j’administre (http://www.lafeecarabate.fr/blog/) hébergé chez NUXIT. Cela a commencé par Jetpack qui ne permettait plus de visualiser les statistiques directement dans le tableau de bord WP. J’ai alors tenté de désinstaller Jetpack, puis de le réinstaller: j’ai eu une erreur que le répertoire existait déjà. J’ai alors supprimé le répertoire jetpack des plugins via FTP, mais j’ai eu cette fois votre message d’erreur lors de l’installation:

    cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received.

    A présent, j’ai cette erreur à chaque tentative d’installation ou de mise à jour d’une extension.

    J’ai un ticket ouvert au support NUXIT depuis plusieurs jours, mais. Dans leur dernier mail, ils me répondent que le problème a été envoyé à leurs administrateurs pour investigations. J’ai très peur que le récent rachat de NUXIT par MAGIC ONLINE ait conduit à des problèmes dans leur infrastructure.

    Je vous tiens au courant si j’ai des évolutions sur ce problème, mais je suis franchement inquiet et je pense sérieusement à migrer le blog vers un autre hébergeur (même si je suis encore engagé pour plus d’un an …).

    #2183363
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    Bonjour,
    Si vous pouvez, changer d’hébergeur.
    Peut-être https://www.ex2.com/hosting/shared-hosting

    1&1  etc..

     

     

    #2183725
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    Bonjour

    Merci pour vos contribution. Je vais contacter le support Nuxit. Je reviendrai pour vous tenir au courant des évolutions, ce qui me semble intéressant pour tous ceux qui le problème mais également ceux qui ne l’ont pas.

    Je suis en hébergement mutualisé alors passer à PHP 7, est-ce possible ?

    A bientôt j’espère.

    Pierre

     

     

     

    • Cette réponse a été modifiée le il y a 7 months et 2 weeks par  Capture-Images.
    #2183732
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    Avant de contacter le support je viens de tenter une nouvelle mise à jour. Le message affiché est un peu plus long aujourd’hui, le voici

    Activation du mode maintenance…
    <h2>Mise à jour de l’extension Imsanity (1/1)</h2>
    <div id= »progress-1″ class= »update-messages hide-if-js »>

    Téléchargement de la mise à jour depuis <span class= »code »>http://downloads.wordpress.org/plugin/imsanity.2.4.0.zip</span>…

    </div>
    <div class= »error »>

    Une erreur est survenue lors de la mise à jour de Imsanity : Le téléchargement a échoué. cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received.

    </div>
    Désactivation du mode maintenance…

    <b>Warning</b>: Une erreur imprévue est survenue. Il pourrait y avoir un problème avec WordPress.org ou la configuration de ce serveur. Si vous continuez à rencontrer ce problème, veuillez vous rendre sur les forums de support. (WordPress n’a pas pu établir de connexion sécurisée vers WordPress.org. Veuillez contacter l’administrateur de votre serveur.) in <b>/web/captureimages/www/wp-includes/update.php</b> on line <b>348</b>

    <b>Warning</b>: Une erreur imprévue est survenue. Il pourrait y avoir un problème avec WordPress.org ou la configuration de ce serveur. Si vous continuez à rencontrer ce problème, veuillez vous rendre sur les forums de support. (WordPress n’a pas pu établir de connexion sécurisée vers WordPress.org. Veuillez contacter l’administrateur de votre serveur.) in <b>/web/captureimages/www/wp-includes/update.php</b> on line <b>530</b>

    Toutes les mises à jour sont terminées.

    Voilà, je voulais le signaler.

    @+

    Pierre

    #2183748
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    Bonsoir

    Le copier/coller, Ctrl+Maj+V ainsi on n’aura pas les balises, merci
    Etes-vous passé sous PHP 7.0 ?

    Mais avez-vous essayé de faire les mises à jour manuellement ?

    Télécharger le plugin sur votre ordinateur
    https://fr.wordpress.org/plugins/imsanity/

    Puis dézippé, ouvrir FileZilla ou autre logiciel FTP et l’envoyer dans wp-content/plugins

    #2183787
    Capture-Images
    Participant
    Initié WordPress
    17 contributions

    Bonsoir

    Ctrl+Maj+V, ok je note ,j’ignorais

    Je viens d’effectuer l’opération de MAJ manuelle. L’extension apparait dans le dashboard comme en attente d’une mise à jour.

    Passer à PHP 7 je ne vois pas comment faire. Faut-il passer par l’interface de nuxit et accéder à phpmyadmin ? J’y suis allé déjà mais n’ai trouvé aucune possibilité de maj (désolé total newbie ou presque suis-je).

    #2184097
    Noaneo
    Participant
    Maître WordPress
    29952 contributions

    Bonjour,

    – Avez-vous vidé le cache de votre navigateur ? Après la mise à jour du plugin ?
    il faut le plugin WP Optimize, pour nettoyer et optimiser votre base de données
    https://wordpress.org/plugins/wp-optimize/

    Changer la version de PHP et au niveau de votre hébergeur, dans votre espace client.
    Pas de lien avec phpmyadmin

    Depuis votre Espace Client, cliquez sur l’onglet Hébergement puis sur le menu Gestion des Sous-Domaines. Choisissez l’hôte virtuel concerné et cliquez sur le bouton Modifier la configuration PHP. Une fois votre choix validé, patientez quelques minutes le temps que votre modification se propage sur votre site.

    Vous remarquerez que chaque site, et même chaque sous-domaine de chaque site peut avoir une configuration PHP différente ce qui est particulièrement appréciable sur un hébergement mutualisé (c’est rarement le cas !).

    https://assistance.nuxit.com/hebergement/php/configuration-de-php

    #2184130
    william.potillion@orange.fr
    Participant
    Initié WordPress
    19 contributions

    Bonjour à tous,

    Noaneo, j’ai suivi vos instructions car je rencontre le même problème de handshake. J’ai réussi (je ne sais par quels miracles) à installer wp-optimize après quelques Internal server error. le plugin a bien fonctionné mais n’a malheureusement pas résolu le problème. Par ailleurs, la version autorisée par Nuxit ne va pas au-delà de la 5.6

    Comme me l’a conseillé Li-An, j’ouvre un ticket auprès de Nuxit en leur donnant les détails de l’erreur ainsi que le lien pointant sur ce fil de discussion. Je vous tiens informé.

15 sujets de 1 à 15 (sur un total de 58)
  • Le sujet ‘cURL error 28: gnutls_handshake() failed: A TLS fatal alert has been received’ est fermé à de nouvelles réponses.